import { Series } from "./Series";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { IEnumerable, Type } from "igniteui-react-core";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemsSource } from "igniteui-react-core";
import { TriangulationStatusEventArgs } from "igniteui-react-core";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
/**
 * @hidden
 */
export declare abstract class ScatterTriangulationSeries extends Series {
    static $t: Type;
    ng(): void;
    u3: string;
    ju(a: any, b: string): any;
    vb: string;
    private t8;
    protected get ue(): IFastItemColumn$1<number>;
    protected set ue(a: IFastItemColumn$1<number>);
    private t9;
    protected get uf(): IFastItemColumn$1<number>;
    protected set uf(a: IFastItemColumn$1<number>);
    t1: NumericXAxis;
    t2: NumericYAxis;
    private uh;
    pq(a: boolean): void;
    private vf;
    private vd;
    private t4;
    triangulationStatusChanged: (sender: any, args: TriangulationStatusEventArgs) => void;
    private vg;
    protected ua(a: IFastItemsSource, b: string): IFastItemColumn$1<number>;
    protected o8(a: any, b: string, c: any, d: any): void;
    uj(a: any): boolean;
    ui(a: any): boolean;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    private ve;
    private uk;
    ob(): void;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    aq(a: Axis): AxisRange;
    protected qn(a: Rect, b: Rect): void;
    protected qm(a: Rect, b: Rect): void;
    trianglesSource: IEnumerable;
    ug: IFastItemsSource;
    ur: string;
    ut: string;
    uv: string;
    private t5;
    protected get ub(): IFastItemColumn$1<number>;
    protected set ub(a: IFastItemColumn$1<number>);
    private t6;
    protected get uc(): IFastItemColumn$1<number>;
    protected set uc(a: IFastItemColumn$1<number>);
    private t7;
    protected get ud(): IFastItemColumn$1<number>;
    protected set ud(a: IFastItemColumn$1<number>);
    protected get_fa(): boolean;
    protected get_ey(): boolean;
    uz: string;
    u7: string;
    u1: string;
    u9: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    static $$p: string[];
}
